curl --request PUT \
--url https://api.partoo.co/v2/feedback/feedback_form/{feedback_form_id} \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"display_name": "Global Satisfaction"
}
'import requests
url = "https://api.partoo.co/v2/feedback/feedback_form/{feedback_form_id}"
payload = { "display_name": "Global Satisfaction" }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: 'Global Satisfaction'})
};
fetch('https://api.partoo.co/v2/feedback/feedback_form/{feedback_form_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "674d791c13c9d976e20001b1",
"org_id": 42,
"email_reply_source": "noreply@example.com",
"email_reply_subject": "About your feedback",
"email_reply_to_business": false,
"email_reply_expeditor_name": "MyCompany",
"expiration_interval_seconds": 1209600,
"display_name": "Global Satisfaction"
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Update a feedback form
The Feedback Management API is currently in BETA, therefore the following endpoints are subject to modification, given a 2 week notice.
If you are planning to use any of them, please notify us so we will be able to keep you informed about upcoming changes.
This endpoint lets you modify the properties of your feedback forms.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Body
Request body to post a reply
Name of your form
"Global Satisfaction"
Response
OK
Unique identifier of the form
"674d791c13c9d976e20001b1"
The organization ID that the form is for
42
The source email to use when replying to a feedback
"noreply@example.com"
The subject of the email used when replying to a feedback
"About your feedback"
Whether to use the business email address when the feedback respondent wants to reply to your reply
Defaults to false, which means the respondent reply will be sent to the email_reply_source
Name to use as the expeditor when replying to a feedback
This is the name the user sees in his email inbox (which is by default the email_reply_source)
"MyCompany"
When a date parameter is set on the link sent to the customer, this will be used to disable answers to the feedback form after that many seconds
Does nothing when the date parameter is not used on the link sent to the customer
Defaults to 2 weeks
Example: In the link you sent the customer, you set the date parameter to 2025-01-01T00:00:00Z. By default, the customer will no longer be able to answer the survey after 2025-01-15T00:00:00Z.
Name of your form
"Global Satisfaction"
Was this page helpful?